package de.intevation.gnv.state;

import de.intevation.gnv.geobackend.base.Result;

import de.intevation.gnv.state.describedata.DefaultSingleValueDescribeData;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.apache.log4j.Logger;

/**
 * This state handles single user input. The user is allowed to select just one
 * value.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class SingleInputState extends StateBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(SingleInputState.class);

    private static final long serialVersionUID = -6169497306324917318L;

    /**
     * Constructor
     */
    public SingleInputState() {
    }


    @Override
    protected List<Object> purifyResult(Collection<Result> result, String uuid) {
        log.debug("SingleInputState.purifyResult");
        List<Object> describeData = new ArrayList<Object>();

        String value = null;
        if (result != null && result.size() == 1) {
            Result tmpItem = result.iterator().next();
            value = tmpItem.getObject("MAX").toString();
        } else {
            value = "";
        }

        describeData.add(new DefaultSingleValueDescribeData(
            this.dataName, value, getID()));

        return describeData;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
